/*
 * QueryException.java
 *
 * Created on 2 de agosto de 2004, 15:45
 */

package com.fenalco.utilities.database;

/**
 *
 * @author  Andrés Romero Rodríguez
 */
public class QueryException extends java.lang.Exception
{
    
    /**
     * Creates a new instance of <code>QueryException</code> without detail message.
     */
    public QueryException()
    {
        super( "Error on query" );
    }
    
    
    /**
     * Constructs an instance of <code>QueryException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public QueryException(String msg)
    {
        super( "Error on query " + msg );
    }
}
